Subject: Re: bug#24401: python-shell-completion-native-try returns incorrect results with python 3.5.2

From: Clément Pit--Claudel <[email-masked]>
Date: Sat, 10 Sep 2016 00:00:31 -0400

On 2016-09-09 19:30, Noam Postavsky wrote:
> On Fri, Sep 9, 2016 at 7:07 PM, Clément Pit--Claudel 
> <[email-masked]> wrote:
>> Hi all,
>> 
>> Calling ‘run-python’ in ‘emacs -Q’ with ‘python-shell-interpreter’
>> set to "python3", I get the following warning:
>> 
>> Warning (python): Your ‘python-shell-interpreter’ doesn’t seem to
>> support readline, yet ‘python-shell-completion-native’ was t and
>> "python3" is not part of the
>> ‘python-shell-completion-native-disabled-interpreters’ list. Native
>> completions have been disabled locally.
>> 
>> This warning is specific to Python 3 (it doesn't happen with Python
>> 2.7). Additionally, the warning is spurious; native completion
>> works fine.  This whole feature is new in Emacs 25.
> 
> I'm not familiar enough with Python tooling to say much about this, 
> but it seems similar (maybe identical) to #22897?

You're right. Why do I never find these duplicates?
Does anyone object to the proposed fix?

Clément.